tigase.jaxmpp.core.client.connector

## Interface AbstractBoshConnector.BoshPacketReceivedHandler

- All Superinterfaces:
    EventHandler
  Enclosing class:
    AbstractBoshConnector

      public static interface AbstractBoshConnector.BoshPacketReceivedHandler
      extends EventHandler

  Implemented by handlers of BoshPacketReceivedEvent.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `AbstractBoshConnector.BoshPacketReceivedHandler.BoshPacketReceivedEvent` Fired BOSH packet is received.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onBoshPacketReceived(SessionObject sessionObject, int responseCode, Element response)` Called when BoshPacketReceivedEvent is fired.

- - ### Method Detail

    - #### onBoshPacketReceived

          void onBoshPacketReceived(SessionObject sessionObject,
                                    int responseCode,
                                    Element response)

      Called when BoshPacketReceivedEvent is fired.
      Parameters:
        `sessionObject` - session object related to connection.
        `responseCode` - HTTP response code.
        `response` - received BOSH packet.

Copyright © 2006–2020 Tigase. All rights reserved.